### Method

# Gimp Procedure set_documentation

unstable since: 3.0

#### Declaration [src]

    void
    gimp_procedure_set_documentation (
      GimpProcedure* procedure,
      const gchar* blurb,
      const gchar* help,
      const gchar* help_id
    )

#### Description [src]

Sets various documentation strings on `procedure`:

- `blurb` is used for instance as the `procedure`‘s tooltip when represented in the UI such as a menu entry.
- `help` is a free-form text that’s meant as additional documentation for developers of scripts and plug-ins. If the `blurb` and the argument names and descriptions are enough for a quite self-explanatory procedure, you may set `help` to `NULL`, rather than setting an uninformative `help` (avoid setting the same text as `blurb` or redundant information).

Plug-ins are responsible for their own translations. You are expected to send localized strings of `blurb` and `help` to GIMP if your plug-in is internationalized.

Available since: 3.0

#### Parameters

`blurb`

  Type: `const gchar*`

  The `procedure`‘s blurb.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`help`

  Type: `const gchar*`

  The `procedure`‘s help text.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`help_id`

  Type: `const gchar*`

  The `procedure`‘s help ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.